<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('users', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'create'])->name('createUser');
Route::get('users/{id}', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'get'])->name('getUser');
Route::delete('users/{id}', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'delete'])->name('deleteUser');
Route::patch('users/{id}', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'patch'])->name('patchUser');
Route::post('users:search', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'search'])->name('searchUsers');
Route::post('users:search-one', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'searchOne'])->name('searchOneUser');
Route::post('users:current', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'current'])->name('getCurrentUser')->middleware(['auth:api']);
Route::post('users/{id}:refresh-password-token', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'refreshPasswordToken'])->name('refreshPasswordToken');
Route::post('users/password-reset-first', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'passwordResetFirstStep'])->name('passwordResetFirstStep');
Route::post('users/password-reset-second', [\App\Http\ApiV1\Modules\Users\Controllers\UsersController::class, 'passwordResetSecondStep'])->name('passwordResetSecondStep');
